import request from '@/api/request';
import PAGE from '@/api/page';

const SET_PAGES = 'SET_PAGES';

const state = {
  loaded: false,
  data: undefined,
};

const getters = {
  pages(state) {
    return state.data
  }
};

const actions = {
  fetch({ commit }, data) {
    const { url, method } = PAGE.fetch;
    return request({
      // ...PAGE.fetch,
      method,
      url: url.replace('{id}', data.id),
    }).then(res => {
      commit(SET_PAGES, res);
    })
  },
  setPage({ commit }, page) {
    console.log("setPage", page);
    commit( SET_PAGES, page );
  }
};

const mutations = {
  [SET_PAGES](state, payload) {
    console.log("SET_PAGES", payload);
    state.loaded = true;
    state.data = payload;
  }
};

export default {
  state,
  getters,
  actions,
  mutations,
}
